# LobbyMarshaller.CategoriesMarshaller (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.lobby
Class LobbyMarshaller.CategoriesMarshaller

    java.lang.Object
      com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
          com.threerings.micasa.lobby.LobbyMarshaller.CategoriesMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, LobbyService.CategoriesListener, com.threerings.presents.client.InvocationService.InvocationListener

Enclosing class:
  LobbyMarshaller

    public static class LobbyMarshaller.CategoriesMarshaller

extends com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
implements LobbyService.CategoriesListener

Marshalls results to implementations of `LobbyService.CategoriesListener`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`static int` `GOT_CATEGORIES` The method id used to dispatch `gotCategories(java.lang.String[])` responses.

Fields inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
`callerOid, listener, mapStamp, omgr, REQUEST_FAILED_RSPID, requestId, transport`

Constructor Summary
`LobbyMarshaller.CategoriesMarshaller()`

Method Summary
`void` `dispatchResponse(int methodId, Object[] args)`
`void` `gotCategories(String[] arg1)` Supplies the listener with the results of a `LobbyService.getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` request.

Methods inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
`requestFailed, setInvocationId, setNoResponse, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener
`requestFailed`

Field Detail

### GOT_CATEGORIES

    public static final int GOT_CATEGORIES

  The method id used to dispatch `gotCategories(java.lang.String[])` responses.

  See Also:
    Constant Field Values

Constructor Detail

### LobbyMarshaller.CategoriesMarshaller

    public LobbyMarshaller.CategoriesMarshaller()

Method Detail

### gotCategories

    public void gotCategories(String[] arg1)

  Description copied from interface: `LobbyService.CategoriesListener`
  Supplies the listener with the results of a `LobbyService.getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` request.

  Specified by:
    `gotCategories` in interface `LobbyService.CategoriesListener`

### dispatchResponse

    public void dispatchResponse(int methodId,
                                 Object[] args)

  Overrides:
    `dispatchResponse` in class `com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller`

Copyright © 2011. All Rights Reserved.